﻿//-----------------------------------------------------------------------
// <copyright file="MLNodeInfo.cs" company="MAPILab Ltd">
//     Copyright (c) MAPILab Ltd.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace MAPILab.SharePoint.Explorer.ObjectBrowser
{
    using System.Windows.Forms;

    /// <summary>
    /// Tree node information
    /// </summary>
    public class MLNodeInfo
    {
        #region Fields

        /// <summary>
        /// Tree node
        /// </summary>
        TreeNode node;

        /// <summary>
        /// Tree node parents
        /// </summary>
        TreeNodeCollection parentNode;

        #endregion

        #region Properties

        /// <summary>
        /// Gets and sets tree node
        /// </summary>
        public TreeNode Node
        {
            get { return node; }
            set { node = value; }
        }

        /// <summary>
        /// Gets and sets tree node parents
        /// </summary>
        public TreeNodeCollection ParentNode
        {
            get { return parentNode; }
            set { parentNode = value; }
        }
        #endregion

        #region Constructor

        /// <summary>
        /// Default Constructor
        /// </summary>
        public MLNodeInfo() { }

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="node">tree node</param>
        /// <param name="parentNode">tree node parents</param>
        public MLNodeInfo(TreeNode node, TreeNodeCollection parentNode)
            : this()
        {
            this.node = node;
            this.parentNode = parentNode;
        }

        #endregion
    }
}
