﻿using System;
using System.Collections.Generic;
using System.Text;

namespace MAPILab.SharePoint.Explorer.ObjectBrowser.TreeExpand
{
    class MLRuleProperty
    {
        #region Fields

        private string name;
        private string title;
        private MLType type;
        private bool hidden;

        #endregion

        #region Enum

        public enum MLType
        {
            Field,
            Property,
            Method
        }

        #endregion

        #region Properties

        public string Name
        {
            get { return this.name; }
        }

        public string Title
        {
            get { return this.title; }
        }

        public MLType Type
        {
            get { return this.type; }
            set { this.type = value; }
        }

        public bool Hidden
        {
            get { return this.hidden; }
            set { this.hidden = value; }
        }

        #endregion

        #region Constructor

        public MLRuleProperty()
        {
            this.name = String.Empty;
            this.title = String.Empty;
            this.type = MLType.Property;
            this.hidden = false;
        }

        public MLRuleProperty(string name, string value, MLType type, bool hidden)
        {
            this.name = name;
            this.title = value;
            this.type = type;
            this.hidden = hidden;
        }

        #endregion
    }
}
